<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/5_Mission/GUI/InventoryNew/ContainedItems/Headers/Header.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('df/d68/_header_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">Header.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../df/d68/_header_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d8/dc9/class_header.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d8/dc9/class_header.html">Header</a>: <a class="code hl_class" href="../../d5/d08/class_layout_holder.html">LayoutHolder</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d8/dc9/class_header.html#aac033f8a207e64037563c100e73a1a83">    3</a></span>    <span class="keyword">protected</span> <span class="keywordtype">int</span>           <a class="code hl_variable" href="../../d8/dc9/class_header.html#aac033f8a207e64037563c100e73a1a83">m_DefaultColor</a>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d8/dc9/class_header.html#a6b4656850f00128dab241ac8aa2381b8">    4</a></span>    <span class="keyword">protected</span> <span class="keywordtype">int</span>           <a class="code hl_variable" href="../../d8/dc9/class_header.html#a6b4656850f00128dab241ac8aa2381b8">m_DefaultFontSize</a>;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>    </div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../d8/dc9/class_header.html#a82bcf871c61641de21f936b6452468f0">    6</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a>      <a class="code hl_variable" href="../../d8/dc9/class_header.html#a82bcf871c61641de21f936b6452468f0">m_Entity</a>;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d8/dc9/class_header.html#acf5dce832ee6d0b26d6b5bd3740199f2">    8</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>        <a class="code hl_variable" href="../../d8/dc9/class_header.html#acf5dce832ee6d0b26d6b5bd3740199f2">m_CollapseButton</a>;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../d8/dc9/class_header.html#a86bd586b4b389e9c73260bb8baa2e85e">    9</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#da/dbc/class_text_widget">TextWidget</a>    <a class="code hl_variable" href="../../d8/dc9/class_header.html#a86bd586b4b389e9c73260bb8baa2e85e">m_HeaderText</a>;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../d8/dc9/class_header.html#af88b2e65b486ecba6d4c9d6441256ce0">   11</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dc9/class_header.html#af88b2e65b486ecba6d4c9d6441256ce0">Header</a>( <a class="code hl_class" href="../../d5/d08/class_layout_holder.html">LayoutHolder</a> parent, <span class="keywordtype">string</span> function_name )</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    {</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        <a class="code hl_variable" href="../../d8/dc9/class_header.html#acf5dce832ee6d0b26d6b5bd3740199f2">m_CollapseButton</a>    = GetMainWidget().FindAnyWidget( <span class="stringliteral">&quot;collapse_button&quot;</span> );</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="preprocessor">        #ifdef PLATFORM_CONSOLE</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>            <a class="code hl_variable" href="../../d8/dc9/class_header.html#acf5dce832ee6d0b26d6b5bd3740199f2">m_CollapseButton</a>.Show( <span class="keyword">false</span> );</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span><span class="preprocessor">        #else</span></div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        <a class="code hl_class" href="../../d1/d46/class_widget_event_handler.html">WidgetEventHandler</a>.<a class="code hl_function" href="../../d1/d46/class_widget_event_handler.html#ad2fdf38578ef5954a19cb7c97ee4f89b">GetInstance</a>().<a class="code hl_function" href="../../d1/d46/class_widget_event_handler.html#ae31e7dd812ec1c98d059dd529d042e3d">RegisterOnMouseButtonDown</a>( <a class="code hl_variable" href="../../d8/dc9/class_header.html#acf5dce832ee6d0b26d6b5bd3740199f2">m_CollapseButton</a>,  <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#a751d7c19a8c7fd3347343bf0af17bd53">m_Parent</a>, function_name );</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        <a class="code hl_class" href="../../d1/d46/class_widget_event_handler.html">WidgetEventHandler</a>.<a class="code hl_function" href="../../d1/d46/class_widget_event_handler.html#ad2fdf38578ef5954a19cb7c97ee4f89b">GetInstance</a>().<a class="code hl_function" href="../../d1/d46/class_widget_event_handler.html#a2c3cd8dad96ef1d5bc4bd4f89a4dbf27">RegisterOnDropReceived</a>( <a class="code hl_variable" href="../../d8/dc9/class_header.html#acf5dce832ee6d0b26d6b5bd3740199f2">m_CollapseButton</a>,  <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#a751d7c19a8c7fd3347343bf0af17bd53">m_Parent</a>, <span class="stringliteral">&quot;OnDropReceivedFromHeader&quot;</span> );</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <a class="code hl_class" href="../../d1/d46/class_widget_event_handler.html">WidgetEventHandler</a>.<a class="code hl_function" href="../../d1/d46/class_widget_event_handler.html#ad2fdf38578ef5954a19cb7c97ee4f89b">GetInstance</a>().<a class="code hl_function" href="../../d1/d46/class_widget_event_handler.html#a2c3cd8dad96ef1d5bc4bd4f89a4dbf27">RegisterOnDropReceived</a>( GetMainWidget(),  <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#a751d7c19a8c7fd3347343bf0af17bd53">m_Parent</a>, <span class="stringliteral">&quot;OnDropReceivedFromHeader&quot;</span> );</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        <a class="code hl_class" href="../../d1/d46/class_widget_event_handler.html">WidgetEventHandler</a>.<a class="code hl_function" href="../../d1/d46/class_widget_event_handler.html#ad2fdf38578ef5954a19cb7c97ee4f89b">GetInstance</a>().<a class="code hl_function" href="../../d1/d46/class_widget_event_handler.html#a3d40052ebed8531440eebf32a4209bff">RegisterOnDraggingOver</a>( GetMainWidget(),  <span class="keyword">this</span>, <span class="stringliteral">&quot;DraggingOverHeader&quot;</span> );</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        <a class="code hl_variable" href="../../d8/dc9/class_header.html#a86bd586b4b389e9c73260bb8baa2e85e">m_HeaderText</a>        = <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#da/dbc/class_text_widget">TextWidget</a>.Cast( GetMainWidget().<a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#ga4c60c2c4f7361799eda0405af7eb5342">FindAnyWidget</a>( <span class="stringliteral">&quot;TextWidget0&quot;</span> ) );</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <a class="code hl_variable" href="../../d8/dc9/class_header.html#aac033f8a207e64037563c100e73a1a83">m_DefaultColor</a>      = GetRootWidget().GetColor();</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    }</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno"><a class="line" href="../../d8/dc9/class_header.html#a670282fbdd3a0735fb0b32564f06641f">   29</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dc9/class_header.html#a670282fbdd3a0735fb0b32564f06641f">SetName</a>( <span class="keywordtype">string</span> <a class="code hl_variable" href="../../db/d3f/_plugin_day_z_infected_debug_8c.html#a8ccf841cb59e451791bcb2e1ac4f1edc">name</a> )</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    {</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        <a class="code hl_variable" href="../../db/d3f/_plugin_day_z_infected_debug_8c.html#a8ccf841cb59e451791bcb2e1ac4f1edc">name</a>.<a class="code hl_function" href="../../d5/da2/group___strings.html#ga3ec96f8f7bf2f6a3c4e64a6f28523881">ToUpper</a>();</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        <a class="code hl_variable" href="../../d8/dc9/class_header.html#a86bd586b4b389e9c73260bb8baa2e85e">m_HeaderText</a>.SetText( <a class="code hl_variable" href="../../db/d3f/_plugin_day_z_infected_debug_8c.html#a8ccf841cb59e451791bcb2e1ac4f1edc">name</a> );</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    }</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="../../d8/dc9/class_header.html#a636cb0b668decfcbf8210017a19e1e55">   35</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dc9/class_header.html#a636cb0b668decfcbf8210017a19e1e55">SetItemPreview</a>( <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> entity_ai )</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    {</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span><span class="preprocessor">        #ifndef PLATFORM_CONSOLE</span></div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        <a class="code hl_variable" href="../../d8/dc9/class_header.html#a82bcf871c61641de21f936b6452468f0">m_Entity</a> = entity_ai;</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        <a class="code hl_class" href="../../d4/d58/class_item_preview_widget.html">ItemPreviewWidget</a> item_preview = <a class="code hl_class" href="../../d4/d58/class_item_preview_widget.html">ItemPreviewWidget</a>.Cast( GetMainWidget().<a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#ga4c60c2c4f7361799eda0405af7eb5342">FindAnyWidget</a>( <span class="stringliteral">&quot;Render&quot;</span> ) );</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        item_preview.<a class="code hl_function" href="../../d4/d58/class_item_preview_widget.html#a6f1cc7bb296b9fd3e9152f81e22d11e5">SetItem</a>(entity_ai);</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        item_preview.<a class="code hl_function" href="../../d4/d58/class_item_preview_widget.html#a2da43f736024ee264f40eb4358ae55bd">SetView</a>( entity_ai.GetViewIndex() );</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    }</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="../../d8/dc9/class_header.html#a307e84350e1a1c324a1b7bec21b52a8d">   45</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dc9/class_header.html#a307e84350e1a1c324a1b7bec21b52a8d">DraggingOverHeader</a>( <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> receiver )</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    {</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        <span class="keywordflow">if</span> ( w == null )</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span> </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        <a class="code hl_class" href="../../d4/d8f/class_container.html">Container</a> parent_container = <a class="code hl_class" href="../../d4/d8f/class_container.html">Container</a>.Cast( <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#a751d7c19a8c7fd3347343bf0af17bd53">m_Parent</a> );</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        parent_container.DraggingOverHeader( w, <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, receiver );</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    }</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span> </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno"><a class="line" href="../../d8/dc9/class_header.html#a0293582f586dc959c91dad536946a297">   54</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dc9/class_header.html#a0293582f586dc959c91dad536946a297">OnDropReceivedFromHeader</a>( <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> receiver )</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    {</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        <a class="code hl_class" href="../../d4/d8f/class_container.html">Container</a> parent_container = <a class="code hl_class" href="../../d4/d8f/class_container.html">Container</a>.Cast( <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#a751d7c19a8c7fd3347343bf0af17bd53">m_Parent</a> );</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        parent_container.OnDropReceivedFromHeader( w, <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, receiver );</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    }</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno"><a class="line" href="../../d8/dc9/class_header.html#a8f131d3dc4856e42156a5e6da477fb21">   60</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dc9/class_header.html#a8f131d3dc4856e42156a5e6da477fb21">SetActive</a>( <span class="keywordtype">bool</span> active )</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    {</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        super.SetActive( active );</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        </div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        <span class="keywordflow">if</span> ( active )</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>            GetMainWidget().SetColor( <a class="code hl_function" href="../../dc/d3d/proto_8c.html#a4aa1cc36d7e57ee79ba6713313ce7b1b">ARGBF</a>( 1, 1, 0, 0 ) );</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>            GetMainWidget().SetColor( <a class="code hl_variable" href="../../d8/dc9/class_header.html#aac033f8a207e64037563c100e73a1a83">m_DefaultColor</a> );</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    }</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>}</div>
<div class="ttc" id="a_icon_8c_html_a2970c38de5fbde060cc7a0ed546e674f"><div class="ttname"><a href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a></div><div class="ttdeci">Icon x</div></div>
<div class="ttc" id="a_icon_8c_html_acd41c12fe81446bff0920670641367de"><div class="ttname"><a href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a></div><div class="ttdeci">Icon y</div></div>
<div class="ttc" id="a_plugin_day_z_infected_debug_8c_html_a8ccf841cb59e451791bcb2e1ac4f1edc"><div class="ttname"><a href="../../db/d3f/_plugin_day_z_infected_debug_8c.html#a8ccf841cb59e451791bcb2e1ac4f1edc">name</a></div><div class="ttdeci">string name</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d3f/_plugin_day_z_infected_debug_8c_source.html#l00032">PluginDayZInfectedDebug.c:32</a></div></div>
<div class="ttc" id="a_size_to_child_8c_html_a751d7c19a8c7fd3347343bf0af17bd53"><div class="ttname"><a href="../../da/d53/_size_to_child_8c.html#a751d7c19a8c7fd3347343bf0af17bd53">m_Parent</a></div><div class="ttdeci">protected Widget m_Parent</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d53/_size_to_child_8c_source.html#l00092">SizeToChild.c:92</a></div></div>
<div class="ttc" id="aclass_container_html"><div class="ttname"><a href="../../d4/d8f/class_container.html">Container</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dec/_cargo_container_8c_source.html#l00001">CargoContainer.c:2</a></div></div>
<div class="ttc" id="aclass_entity_a_i_html"><div class="ttname"><a href="../../df/df9/class_entity_a_i.html">EntityAI</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d45/3___game_2_entities_2_building_8c_source.html#l00001">Building.c:2</a></div></div>
<div class="ttc" id="aclass_header_html"><div class="ttname"><a href="../../d8/dc9/class_header.html">Header</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/d68/_header_8c_source.html#l00001">Header.c:2</a></div></div>
<div class="ttc" id="aclass_header_html_a0293582f586dc959c91dad536946a297"><div class="ttname"><a href="../../d8/dc9/class_header.html#a0293582f586dc959c91dad536946a297">Header::OnDropReceivedFromHeader</a></div><div class="ttdeci">void OnDropReceivedFromHeader(Widget w, int x, int y, Widget receiver)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d68/_header_8c_source.html#l00054">Header.c:54</a></div></div>
<div class="ttc" id="aclass_header_html_a307e84350e1a1c324a1b7bec21b52a8d"><div class="ttname"><a href="../../d8/dc9/class_header.html#a307e84350e1a1c324a1b7bec21b52a8d">Header::DraggingOverHeader</a></div><div class="ttdeci">void DraggingOverHeader(Widget w, int x, int y, Widget receiver)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d68/_header_8c_source.html#l00045">Header.c:45</a></div></div>
<div class="ttc" id="aclass_header_html_a636cb0b668decfcbf8210017a19e1e55"><div class="ttname"><a href="../../d8/dc9/class_header.html#a636cb0b668decfcbf8210017a19e1e55">Header::SetItemPreview</a></div><div class="ttdeci">void SetItemPreview(EntityAI entity_ai)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d68/_header_8c_source.html#l00035">Header.c:35</a></div></div>
<div class="ttc" id="aclass_header_html_a670282fbdd3a0735fb0b32564f06641f"><div class="ttname"><a href="../../d8/dc9/class_header.html#a670282fbdd3a0735fb0b32564f06641f">Header::SetName</a></div><div class="ttdeci">void SetName(string name)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d68/_header_8c_source.html#l00029">Header.c:29</a></div></div>
<div class="ttc" id="aclass_header_html_a6b4656850f00128dab241ac8aa2381b8"><div class="ttname"><a href="../../d8/dc9/class_header.html#a6b4656850f00128dab241ac8aa2381b8">Header::m_DefaultFontSize</a></div><div class="ttdeci">protected int m_DefaultFontSize</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d68/_header_8c_source.html#l00004">Header.c:4</a></div></div>
<div class="ttc" id="aclass_header_html_a82bcf871c61641de21f936b6452468f0"><div class="ttname"><a href="../../d8/dc9/class_header.html#a82bcf871c61641de21f936b6452468f0">Header::m_Entity</a></div><div class="ttdeci">protected EntityAI m_Entity</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d68/_header_8c_source.html#l00006">Header.c:6</a></div></div>
<div class="ttc" id="aclass_header_html_a86bd586b4b389e9c73260bb8baa2e85e"><div class="ttname"><a href="../../d8/dc9/class_header.html#a86bd586b4b389e9c73260bb8baa2e85e">Header::m_HeaderText</a></div><div class="ttdeci">protected TextWidget m_HeaderText</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d68/_header_8c_source.html#l00009">Header.c:9</a></div></div>
<div class="ttc" id="aclass_header_html_a8f131d3dc4856e42156a5e6da477fb21"><div class="ttname"><a href="../../d8/dc9/class_header.html#a8f131d3dc4856e42156a5e6da477fb21">Header::SetActive</a></div><div class="ttdeci">override void SetActive(bool active)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d68/_header_8c_source.html#l00060">Header.c:60</a></div></div>
<div class="ttc" id="aclass_header_html_aac033f8a207e64037563c100e73a1a83"><div class="ttname"><a href="../../d8/dc9/class_header.html#aac033f8a207e64037563c100e73a1a83">Header::m_DefaultColor</a></div><div class="ttdeci">protected int m_DefaultColor</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d68/_header_8c_source.html#l00003">Header.c:3</a></div></div>
<div class="ttc" id="aclass_header_html_acf5dce832ee6d0b26d6b5bd3740199f2"><div class="ttname"><a href="../../d8/dc9/class_header.html#acf5dce832ee6d0b26d6b5bd3740199f2">Header::m_CollapseButton</a></div><div class="ttdeci">protected Widget m_CollapseButton</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d68/_header_8c_source.html#l00008">Header.c:8</a></div></div>
<div class="ttc" id="aclass_header_html_af88b2e65b486ecba6d4c9d6441256ce0"><div class="ttname"><a href="../../d8/dc9/class_header.html#af88b2e65b486ecba6d4c9d6441256ce0">Header::Header</a></div><div class="ttdeci">void Header(LayoutHolder parent, string function_name)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d68/_header_8c_source.html#l00011">Header.c:11</a></div></div>
<div class="ttc" id="aclass_item_preview_widget_html"><div class="ttname"><a href="../../d4/d58/class_item_preview_widget.html">ItemPreviewWidget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d18/gameplay_8c_source.html#l00265">gameplay.c:266</a></div></div>
<div class="ttc" id="aclass_item_preview_widget_html_a2da43f736024ee264f40eb4358ae55bd"><div class="ttname"><a href="../../d4/d58/class_item_preview_widget.html#a2da43f736024ee264f40eb4358ae55bd">ItemPreviewWidget::SetView</a></div><div class="ttdeci">proto native void SetView(int viewIndex)</div></div>
<div class="ttc" id="aclass_item_preview_widget_html_a6f1cc7bb296b9fd3e9152f81e22d11e5"><div class="ttname"><a href="../../d4/d58/class_item_preview_widget.html#a6f1cc7bb296b9fd3e9152f81e22d11e5">ItemPreviewWidget::SetItem</a></div><div class="ttdeci">proto native void SetItem(EntityAI object)</div></div>
<div class="ttc" id="aclass_layout_holder_html"><div class="ttname"><a href="../../d5/d08/class_layout_holder.html">LayoutHolder</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/d3c/_container_8c_source.html#l00001">Container.c:2</a></div></div>
<div class="ttc" id="aclass_widget_event_handler_html"><div class="ttname"><a href="../../d1/d46/class_widget_event_handler.html">WidgetEventHandler</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d84/_widget_event_handler_8c_source.html#l00001">WidgetEventHandler.c:2</a></div></div>
<div class="ttc" id="aclass_widget_event_handler_html_a2c3cd8dad96ef1d5bc4bd4f89a4dbf27"><div class="ttname"><a href="../../d1/d46/class_widget_event_handler.html#a2c3cd8dad96ef1d5bc4bd4f89a4dbf27">WidgetEventHandler::RegisterOnDropReceived</a></div><div class="ttdeci">void RegisterOnDropReceived(Widget w, Managed eventHandler, string functionName)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d84/_widget_event_handler_8c_source.html#l00091">WidgetEventHandler.c:91</a></div></div>
<div class="ttc" id="aclass_widget_event_handler_html_a3d40052ebed8531440eebf32a4209bff"><div class="ttname"><a href="../../d1/d46/class_widget_event_handler.html#a3d40052ebed8531440eebf32a4209bff">WidgetEventHandler::RegisterOnDraggingOver</a></div><div class="ttdeci">void RegisterOnDraggingOver(Widget w, Managed eventHandler, string functionName)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d84/_widget_event_handler_8c_source.html#l00112">WidgetEventHandler.c:112</a></div></div>
<div class="ttc" id="aclass_widget_event_handler_html_ad2fdf38578ef5954a19cb7c97ee4f89b"><div class="ttname"><a href="../../d1/d46/class_widget_event_handler.html#ad2fdf38578ef5954a19cb7c97ee4f89b">WidgetEventHandler::GetInstance</a></div><div class="ttdeci">static WidgetEventHandler GetInstance()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d84/_widget_event_handler_8c_source.html#l00022">WidgetEventHandler.c:22</a></div></div>
<div class="ttc" id="aclass_widget_event_handler_html_ae31e7dd812ec1c98d059dd529d042e3d"><div class="ttname"><a href="../../d1/d46/class_widget_event_handler.html#ae31e7dd812ec1c98d059dd529d042e3d">WidgetEventHandler::RegisterOnMouseButtonDown</a></div><div class="ttdeci">void RegisterOnMouseButtonDown(Widget w, Managed eventHandler, string functionName)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d84/_widget_event_handler_8c_source.html#l00070">WidgetEventHandler.c:70</a></div></div>
<div class="ttc" id="agroup___strings_html_ga3ec96f8f7bf2f6a3c4e64a6f28523881"><div class="ttname"><a href="../../d5/da2/group___strings.html#ga3ec96f8f7bf2f6a3c4e64a6f28523881">string::ToUpper</a></div><div class="ttdeci">proto int ToUpper()</div><div class="ttdoc">Changes string to uppercase. Returns length.</div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_da/dbc/class_text_widget"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#da/dbc/class_text_widget">TextWidget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00205">EnWidgets.c:206</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_dd/d6a/class_widget"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00175">EnWidgets.c:176</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_ga4c60c2c4f7361799eda0405af7eb5342"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#ga4c60c2c4f7361799eda0405af7eb5342">FindAnyWidget</a></div><div class="ttdeci">proto native Widget FindAnyWidget(string pathname)</div></div>
<div class="ttc" id="aproto_8c_html_a4aa1cc36d7e57ee79ba6713313ce7b1b"><div class="ttname"><a href="../../dc/d3d/proto_8c.html#a4aa1cc36d7e57ee79ba6713313ce7b1b">ARGBF</a></div><div class="ttdeci">int ARGBF(float fa, float fr, float fg, float fb)</div><div class="ttdoc">Converts &lt;0.0, 1.0&gt; ARGB into color.</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d3d/proto_8c_source.html#l00332">proto.c:332</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_6abc2eacac2e7d76bc186cd4309aa0e0.html">5_Mission</a></li><li class="navelem"><a class="el" href="../../dir_2356304830c38acce59b30a90a6c3ad1.html">GUI</a></li><li class="navelem"><a class="el" href="../../dir_192fe6bd0d85bc453ff02fd806ec1ca0.html">InventoryNew</a></li><li class="navelem"><a class="el" href="../../dir_f0cee110ace9537dcc6ecfc7bb500d1d.html">ContainedItems</a></li><li class="navelem"><a class="el" href="../../dir_e7b4b21461ae8b7ef1224649aa89031b.html">Headers</a></li><li class="navelem"><a class="el" href="../../df/d68/_header_8c.html">Header.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
